Skip to content

Overview

Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.

This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:

  • https://store.xsolla.com/api for the Common, Catalog, Cart, and Order groups.
  • https://ps.xsolla.com for the Notifications group.

API endpoints in the Catalog group don’t require authorization.

To work with operations in the Cart and Order groups, you need to generate a token via Create user token.

Note

This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/
https://store.xsolla.com/api/
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Create order with all items from particular cart

Request

Creates an order with all items from the particular cart. The created order will get a new order status.

Security
AuthForClient
Path
project_idintegerrequired

Project ID.

Example: 44056
cart_idstringrequired

Cart ID.

Example: custom_id
Bodyapplication/jsonrequired

Object with order creation data.

geotypenumberrequired

Distributor partner ID on the Xsolla's side.

Example: 13038
currencystring(Cart-Payment_settings_currency)required

Preferred payment currency. Three-letter currency code per ISO 4217.

quantityinteger

Item quantity.

Example: 1
curl -i -X POST \
  https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/distribution_hub/payment/cart/custom_id \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "geotype": 13038
  }'

Responses

Order was successfully created.

Bodyapplication/json
order_idinteger

Order ID.

billing_infoobject(Order_inline_response_200_billing_info)

Billing information.

Response
application/json
{ "order_id": 641, "billing_info": { "price": {}, "indirect_taxes": [], "direct_taxes": [] } }

Create order with all items from current cart

Request

Creates an order with all items from the cart. The created order will get a new order status.

Security
AuthForClient
Path
project_idintegerrequired

Project ID.

Example: 44056
Bodyapplication/jsonrequired

Object with order creation data.

geotypenumberrequired

Distributor partner ID on the Xsolla's side.

Example: 13038
currencystring(Cart-Payment_settings_currency)required

Preferred payment currency. Three-letter currency code per ISO 4217.

quantityinteger

Item quantity.

Example: 1
curl -i -X POST \
  https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/distribution_hub/payment/cart \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "geotype": 13038
  }'

Responses

Order was successfully created.

Bodyapplication/json
order_idinteger

Order ID.

billing_infoobject(Order_inline_response_200_billing_info)

Billing information.

Response
application/json
{ "order_id": 641, "billing_info": { "price": {}, "indirect_taxes": [], "direct_taxes": [] } }

Request

Creates an order with a specified item. The created order will get a new order status.

Security
AuthForClient
Path
project_idintegerrequired

Project ID.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
Bodyapplication/jsonrequired

Object with order creation data.

geotypenumberrequired

Distributor partner ID on the Xsolla's side.

Example: 13038
currencystring(Cart-Payment_settings_currency)required

Preferred payment currency. Three-letter currency code per ISO 4217.

quantityinteger

Item quantity.

Example: 1
curl -i -X POST \
  https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/distribution_hub/payment/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "geotype": 13038
  }'

Responses

Order was successfully created.

Bodyapplication/json
order_idinteger

Order ID.

billing_infoobject(Order_inline_response_200_billing_info)

Billing information.

Response
application/json
{ "order_id": 641, "billing_info": { "price": {}, "indirect_taxes": [], "direct_taxes": [] } }